Loading...
Searching...
No Matches
EMF::EMRSETWINDOWEXTEX Class Reference

EMF Set Window Extent (ex). More...

`#include <libemf.h>`

Inheritance diagram for EMF::EMRSETWINDOWEXTEX:

## Public Member Functions

| EMRSETWINDOWEXTEX (INT cx, INT cy)
| EMRSETWINDOWEXTEX (DATASTREAM &ds)
bool | serialize (DATASTREAM ds)
int | size (void) const
void | execute (METAFILEDEVICECONTEXT *source, HDC dc) const
Public Member Functions inherited from EMF::METARECORD
virtual | ~METARECORD ()

## Detailed Description

EMF Set Window Extent (ex).

The window extents define the scale of the logical coordinates. For example, if your XY plot is from [-10,-10] to [10,10], then the window extents are [20,20].

## Constructor & Destructor Documentation

## EMRSETWINDOWEXTEX() [1/2]

EMF::EMRSETWINDOWEXTEX::EMRSETWINDOWEXTEX | ( | INT | cx,
|  | INT | cy )

inline

Parameters

  cx | width of window in logical coordinates.
  cy | height of window in logical coordinates.

## EMRSETWINDOWEXTEX() [2/2]

EMF::EMRSETWINDOWEXTEX::EMRSETWINDOWEXTEX | ( | DATASTREAM & | ds | ) |

inline

Construct a SetWindowExtEx record from the input stream.

Parameters

  ds | Metafile datastream.

## Member Function Documentation

## execute()

void EMF::EMRSETWINDOWEXTEX::execute | ( | METAFILEDEVICECONTEXT * | source,
|  | HDC | dc ) const

inline virtual

Execute this record in the context of the given device context.

Parameters

  source | the device context from which this record is taken.
  dc | device context for execute.

Implements EMF::METARECORD.

## serialize()

bool EMF::EMRSETWINDOWEXTEX::serialize | ( | DATASTREAM | ds | ) |

inline virtual

Parameters

  ds | Metafile datastream.

Implements EMF::METARECORD.

## size()

int EMF::EMRSETWINDOWEXTEX::size | ( | void |  | ) | const

inline virtual

Internally computed size of this record.

Implements EMF::METARECORD.

The documentation for this class was generated from the following file:

- libemf.h